/* 
	18f4520_flash.h
	
	Flash Writes and Erases
	
	Jonathan Karpick
	8 May 2006
*/

#ifndef _18F4520_FLASH
#define _18F4520_FLASH

#include "ServoConfig.h"
#include <string.h>

#define WRITE_LENGTH 32		// # of bytes to write at once (datasheet...)
#define ERASE_LENGTH 64		// # of bytes to erase at once (datasheet...)
#define READ_LENGTH	128		// max # of bytes to read at once (<=255!!)


// writes byteNum bytes from RAM (held in buff) to FLASH ROM starting at address
// byteNum should be <= 256 ??
void WriteFlash( near unsigned short long address, unsigned char *buff, unsigned int byteNum );
void EraseFlash( near unsigned short long address, unsigned int byteNum );
void ReadFlash( near unsigned short long address, unsigned char *buff, unsigned int byteNum );

#endif

