//***************************************************************************
// 18f_perf.c
//
// RS232 Comms Functions for 18F4520 (and similar)... 
// Timer setup for 18F4520 and similar
// 
// Original assembly macro by Virgilio Mattoli
// Converted to C by Jonathan Karpick 9 May 2006
//
//***************************************************************************
#include "18f_perf.h"

/* Sets up USART and Timer3/CCP2 */		
void DevSetting( void ) 
{
	OpenUSART(USART_TX_INT_OFF & USART_RX_INT_ON & USART_ASYNCH_MODE
		& USART_EIGHT_BIT & USART_CONT_RX & USART_BRGH_LOW, NUMBR);
	
	// TRISC,6 = 0; TRISC,7 = 1; TXSTA=0b00100000; INTCON,PEIE=1; 
	// RCSTA=0b00010000; RCSTA,SPEN=0; RCREG=0; PIE1,RCIE=1;

	CCPR2 = CMP_HL;
	CCP2CON = 0b00001011;
	OpenTimer3(TIMER_INT_ON & T3_8BIT_RW & T3_SOURCE_INT & T3_PS_1_8 &
				T1_CCP1_T3_CCP2);
	// Set up CCP2
	// T3CON = 0b00111000; <- Timer3 is for CCP2, Timer1 is for CCP1, 1:8 prescale, Internal clock, stopped
	//CCPR2L=low CMP_HL; CCPR2H=high CMP_HL;
	// CCP2CON = 0b00001011; PIR2,CCPIF=0; PIE2,CCP2IE=1; T3CON,TMR3ON=1
}

void RS232_Reset( void )
{
	CloseUSART();
	OpenUSART(USART_TX_INT_OFF & USART_RX_INT_ON & USART_ASYNCH_MODE
		& USART_EIGHT_BIT & USART_CONT_RX & USART_BRGH_LOW, NUMBR);
}
