//***************************************************************************
// 18f_perf.h
//
// RS232 Comms Functions for 18F4520 (and similar)... 
// Timer setup for 18F4520 and similar
// 
// Original assembly macro by Virgilio Mattoli
// Converted to C by Jonathan Karpick 9 May 2006
//
//***************************************************************************
#ifndef __18F_PERF_H
#define __18F_PERF_H

#include "ServoConfig.h"
#include <usart.h>
#include <timers.h>

#define BAUDRATE 9600
//#define NUMBR ((FREQUENCY*1000/BAUDRATE/64)-1)
#define NUMBR 64	// Math doesn't work in pre-processor??
#define TRUE_BAUDRATE (FREQUENCY*1000)/(64*(NUMBR+1))
#if (NUMBR > 255)
	#error "Frequency too low for RS232 Comms"
#endif

#define CMP_INTERVAL 20	// in milliseconds -> prescaler must be set to 8!
#define CMP_HL ((CMP_INTERVAL*FREQUENCY)/(4*8))
#define REAL_CMP_INT ((CMP_HL*4*8*1000)/FREQUENCY)	// in us
/*
CMP_L	= low CMP_HL						////
CMP_H	= high CMP_HL						////
CMP_U	= upper CMP_HL						////
*/
#if (CMP_HL > 0xFFFF)
	#error "Interval too long for the set up frequency!"
#endif

		
void DevSetting( void );
void RS232_Reset( void );

#endif
