// I2C_HW.h
// Implements I2C Master Mode using the MSSP
//
//  Jonathan Karpick - 06 February 2006 (Assembly Version)
//					 - 08 May 2006 (C Version)
//  This is where you define all of the slave devices' addresses

#ifndef __I2C_HW
#define __I2C_HW

#include "ServoConfig.h"
#include <i2c.h>


#define ADDRESS0 0b00000001	// 
#define ADDRESS1 0b00000010	// something about 0x02 being reserved - doesn't matter here!!
#define ADDRESS2 0b00000011	// 
#define ADDRESS3 0b00000100	// 
#define ADDRESS4 0b00000101	//
#define ADDRESS5 0b00000110	//
#define ADDRESS6 0b00000111	//
#define ADDRESS7 0b00001000	//
#define ADDRESS8 0b00001001	//
#define ADDRESS9 0b00001010	//

#define I2CBAUD 100				// I2C baud rate in kbps
#define succflag flags,0

//#define I2CNUMBR (FREQUENCY/(4*I2CBAUD))-1  //doesn't work for some reason - preprocessor funnies
#define I2CNUMBR 99

#if (I2CNUMBR > 0x7F)
	#error I2C Baud Rate too low
#endif

void InitSensors( void );
void InitI2C( void );
void BStart( void );
void BRestart( void );
void BStop( void );
void TXByte( void );
void RXByte( void );
void UpdateSensors( void );

#endif
