/* File:  ServoMain.h
 Firmware for Closed Loop Servo Controller
 
 Adapted from assembly code by Virgilio Mattoli, v3.1.2, Feb 6, 2006
 40MHz clock (10MHz*4 via PLL)
 
 Jonathan Karpick
 10 May 2006
*/


/******** HEADER FILES *******************/
#include "ServoConfig.h"
#include "18fXX25_conf.h"
#include "ServoConfig.h"
#include "ServoRoutines.h"
#include "ServoF18Extnd.h"
#include "I2C_HW.h"
#include "18f_perf.h"
#include "18fmacro.h"
#include "Keys18F.h"
#include <string.h>		// For memcpypgm2ram

extern unsigned char DelayCounter1;	// To save delay register during interrupts

/********* GLOBAL VARIABLE DEFINITIONS************/
#pragma udata access globalData
near unsigned char gValueServPrev[NUM_OF_SERVO_CHAN];
near unsigned char gValueServNext[NUM_OF_SERVO_CHAN];
near unsigned char gValueServ[NUM_OF_SERVO_CHAN];	// Current gait servo location
near unsigned char gValueCmd[NUM_OF_SERVO_CHAN];	// Current gait servo command (after control)
near unsigned char gSensorValue[NUM_SENSORS];
near unsigned char gMov, gEmuStatusSeqNum;
near char gEmuMode;
near char gStatusSeqNum;
near unsigned int gStepCounter;
near unsigned int gTimeStep;
near unsigned int gTimeStepNext;
near unsigned int gTimeStepPrev;
near unsigned char gFiftieths, gQuarters, gSeconds, gMinutes;
near unsigned char gFrame; 
near unsigned short long gGaitPosn;
near unsigned int  gMaxStep;

#pragma udata buffSec
unsigned char gRamBuff[64];		// RAM buffer for FLASH writes

#pragma udata buffToc
unsigned char gTOC[TOC_SIZE];		// RAM TOC

#pragma udata
